Type to search.

Schedule a transform to start now

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.7 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Instantly run a transform to process data. If you run this API, the transform will process the new data instantly, without waiting for the configured frequency interval. After the API is called, the transform will be processed again at now + frequency unless the API is called again in the meantime.

Required privileges

Cluster privileges manage_transform

Path parameters

transform_id string required

Identifier for the transform.

Query parameters

timeout union oneOf · default: 30s

Controls the time to wait for the scheduling to take place

Values: -1 0

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.